uk.gov.hmrc.play.fsm.JourneyController

# ActionsDSL

###
Related Doc: package JourneyController

#### sealed abstract class ActionsDSL extends AnyRef

Actions DSL, transition function types are left abstract.

Attributes
  protected

Linear Supertypes
AnyRef, Any
Known Subclasses
DoubleArgumentActionsDSL, GetAsync0, GetAsync1, SimpleActionsDSL, SingleArgumentActionsDSL, WhenAuthorised, WhenAuthorisedWithRetrievals, actions
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ActionsDSL
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### final class Apply extends Executable

2. #### final class ApplyWithRequest extends Executable

3. #### final class BindForm[Payload] extends AnyRef

4. #### final class BindFormDerivedFromState[Payload] extends AnyRef

5. #### abstract type GetAsyncFunction[R]

6. #### final class ParseJson[Entity] extends AnyRef

7. #### trait Resolver extends AnyRef

8. #### final class Show[S <: State] extends Executable

9. #### final class ShowCurrentState extends Executable

10. #### abstract type Transition

11. #### abstract type TransitionWith[P]

12. #### abstract type TransitionWithRequest

13. #### abstract type TransitionWithRequestAnd[P]

14. #### abstract type TupleWith[R]

15. #### final class WaitFor[S <: State] extends Executable

### Abstract Value Members

1. #### abstract def wrap(body: (Resolver) ⇒ Future[Result])(implicit request: Request[_], ec: ExecutionContext): Future[Result]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def apply(transition: Transition): Apply

   Apply state transition and redirect to the new state.

   Apply state transition and redirect to the new state.

   Note

     to alter behaviour follow with redirectOrDisplayIfSame or redirectOrDisplayIf

5. #### final def applyWithRequest(transition: TransitionWithRequest): ApplyWithRequest

   Apply state transition and redirect to the new state.

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### final def bindForm[Payload](form: Form[Payload]): BindForm[Payload]

   Bind the form to the request.

   Bind the form to the request. If valid, apply the following transition, if not valid, redirect back to the current state with failed form.

   Payload

     form output type

8. #### final def bindFormDerivedFromState[Payload](form: (State) ⇒ Form[Payload]): BindFormDerivedFromState[Payload]

   Bind the form, derived from the current state, to the request.

   Bind the form, derived from the current state, to the request. If valid, apply the following transition, if not valid, redirect back to the current state with failed form.

   Payload

     form output type

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def parseJson[Entity](implicit arg0: Reads[Entity]): ParseJson[Entity]

    Parse the JSON body of the request.

    Parse the JSON body of the request. If valid, apply the following transition, if not valid, throw an exception.

    Entity

      entity

20. #### final def parseJsonWithFallback[Entity](ifFailure: Result)(implicit arg0: Reads[Entity]): ParseJson[Entity]

    Parse the JSON body of the request.

    Parse the JSON body of the request. If valid, apply the following transition, if not valid, return the alternative result.

    Entity

      entity

21. #### final def show[S <: State](implicit arg0: ClassTag[S]): Show[S]

    Display if the current state is of type S, otherwise redirect back to the root state.

    Display if the current state is of type S, otherwise redirect back to the root state.

    S

      type of the expected current state

    Note

      to alter show behaviour follow with: - orRollback, - orRollbackUsing, - orApply, - orApplyWithRequest - orRedirectToCurrentState - orRedirectToStart - orReturn - orRedirectTo

22. #### final val showCurrentState: Executable

    Displays the current state using default renderState function.

    Displays the current state using default renderState function. If there is no state yet then redirects to the start.

    Note

      follow with renderUsing to change the default renderer.

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def waitForStateAndDisplay[S <: State](timeoutInSeconds: Int)(implicit arg0: ClassTag[S]): WaitFor[S]

    Wait until the state becomes of S type and display it using default renderState, or if timeout expires raise a java.util.concurrent.TimeoutException.

29. #### final def waitForStateAndDisplayUsing[S <: State](timeoutInSeconds: Int, renderer: Renderer)(implicit arg0: ClassTag[S]): WaitFor[S]

    Wait until the state becomes of S type and display it using custom renderer, or if timeout expires raise a java.util.concurrent.TimeoutException.

30. #### final def waitForStateThenRedirect[S <: State](timeoutInSeconds: Int)(implicit arg0: ClassTag[S]): WaitFor[S]

    Wait until the state becomes of S type and redirect to it, or if timeout expires raise a java.util.concurrent.TimeoutException.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped